Description: Set setup() version for .egg-info.
Author: Bas Couwenberg <sebastic@debian.org>
Forwarded: not-needed

--- a/setup.py
+++ b/setup.py
@@ -200,11 +200,22 @@ if IS_SDIST and not FORCE_CYTHON:
 else:
     cmdclass = {'build_ext': cy_build_ext}
 
+version = '0.0.0'
+version_file = 'lib/cartopy/_version.py'
+if os.access(version_file, os.R_OK):
+    import re
+    with open(version_file, 'rt') as f:
+        for line in f.readlines():
+            match = re.search(r'^version\s*=\s*[\'"](\S+)[\'"]\s*$', line)
+            if match:
+                version = match.group(1)
+                break
 
 # Main setup
 # ==========
 setup(
     name='Cartopy',
+    version=version,
     url='https://scitools.org.uk/cartopy/docs/latest/',
     download_url='https://github.com/SciTools/cartopy',
     author='UK Met Office',
